Get 30% Discount on Business Pack Order here Click Here
Ku rakib a click on the icon in the top right of the address bar.

Kormeerayaasha DNS

GET https://uptimer24.com/api/dns-monitors/
curl --request GET \
--url 'https://uptimer24.com/api/dns-monitors/' \
--header 'Authorization: Bearer {api_key}' \
Halbeegyada Faahfaahin Sharaxaad
search Ikhtiyaari Xadhig Xadhigga raadinta.
search_by Ikhtiyaari Xadhig Waa maxay goobta aad ka baareyso. Qiimayaasha la oggol yahay waa: name, target.
is_enabled Ikhtiyaari Boolean
project_id Ikhtiyaari Tiro buuxda
datetime_field Ikhtiyaari Xadhig Qiimayaasha la oggol yahay: datetime, last_datetime, last_check_datetime, last_change_datetime
datetime_start Ikhtiyaari Xadhig Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Ikhtiyaari Xadhig Filter results up to this datetime. Y-m-d H:i:s format.
order_by Ikhtiyaari Xadhig Waa maxay goobta lagu kala dalbanayo natiijooyinka. Qiimayaasha la oggol yahay waa: dns_monitor_id, datetime, last_datetime, last_check_datetime, last_change_datetime, total_checks, total_changes, name.
order_type Ikhtiyaari Xadhig Kala-sarraynta natiijooyinka. Qiimayaasha la oggol yahay waa: ASC oo ah kala-sarrayn kor u socda, iyo DESC oo ah kala-sarrayn hoos u socda.
page Ikhtiyaari Tiro buuxda Lambarka bogga ee aad rabto natiijooyinka ka soo baxa. Asal ahaan waa 1.
results_per_page Ikhtiyaari Tiro buuxda Imisa natiijo ayaad rabtaa bog kasta. Qiimayaasha la oggol yahay waa: 10, 25, 50, 100, 250, 500, 1000. Waxay asal ahaan u dhigantaa 25.
{
    "data": [
        {
            "id": 1,
            "project_id": 0,
            "name": "Sample",
            "target": "example.com",
            "dns": {
                "A": [
                    {
                        "host": "example.com",
                        "ip": "12.12.12.12"
                    }
                ],
                "CNAME": [],
                "HINFO": [],
                "CAA": [],
                "MX": [],
                ...
            },
            "notifications": [1],
            "settings": {
                "dns_check_interval_seconds": 300
            },
            "total_checks": 1,
            "total_changes": 0,
            "last_check_datetime": "2024-01-03 01:48:42",
            "next_check_datetime": "2024-01-03 01:49:13",
            "last_change_datetime": null,
            "is_enabled": true,
            "datetime": "2026-07-19 04:06:57",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/dns-monitors?page=1",
        "last": "https://uptimer24.com/api/dns-monitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/dns-monitors?page=1"
    }
}
GET https://uptimer24.com/api/dns-monitors/{dns_monitor_id}
curl --request GET \
--url 'https://uptimer24.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "project_id": 0,
        "name": "Sample",
        "target": "example.com",
        "dns": {
            "A": [
                {
                    "host": "example.com",
                    "ip": "12.12.12.12"
                }
            ],
            "CNAME": [],
            "HINFO": [],
            "CAA": [],
            "MX": [],
            ...
        },
        "notifications": [1],
        "settings": {
            "dns_check_interval_seconds": 300
        },
        "total_checks": 1,
        "total_changes": 0,
        "last_check_datetime": "2024-01-03 01:48:42",
        "next_check_datetime": "2024-01-03 01:49:13",
        "last_change_datetime": null,
        "is_enabled": true,
        "datetime": "2026-07-19 04:06:57",
        "last_datetime": null
    }
}
POST https://uptimer24.com/api/dns-monitors
Halbeegyada Faahfaahin Sharaxaad
name Lagu baahan yahay Xadhig -
target Lagu baahan yahay Xadhig -
project_id Ikhtiyaari Tiro buuxda -
notifications Ikhtiyaari Array Aqoonsiyada maareeyaha ogeysiiska
dns_check_interval_seconds Ikhtiyaari Tiro buuxda Qiimayaasha la oggol yahay: 300, 600, 1800, 3600, 21600, 43200, 86400 (ilbiriqsi)
dns_types Ikhtiyaari Array Qiimayaasha la oggol yahay: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA
is_enabled Ikhtiyaari Boolean -
curl --request POST \
--url 'https://uptimer24.com/api/dns-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://uptimer24.com/api/dns-monitors/{dns_monitor_id}
Halbeegyada Faahfaahin Sharaxaad
name Lagu baahan yahay Xadhig -
target Lagu baahan yahay Xadhig -
project_id Ikhtiyaari Tiro buuxda -
notifications Ikhtiyaari Array Aqoonsiyada maareeyaha ogeysiiska
dns_check_interval_seconds Ikhtiyaari Tiro buuxda Qiimayaasha la oggol yahay: 300, 600, 1800, 3600, 21600, 43200, 86400 (ilbiriqsi)
dns_types Ikhtiyaari Array Qiimayaasha la oggol yahay: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA
is_enabled Ikhtiyaari Boolean -
curl --request POST \
--url 'https://uptimer24.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimer24.com/api/dns-monitors/{dns_monitor_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \